#676 MeGUI MKV h264 ENCODING PROBLEM

General
closed
nobody
None
5
2013-12-30
2012-07-05
lotus
No

Am Using Windows 7 & Using Megui For Encoding For 6 Months. But Now I Update Megui To 2153 X86 Yestrday At Night. Now Whenever I Try To Encode .mkv File It Convert Till Audio Encoding But Afterwards It Stop Encoding Without Encode Video. But Mp4 Encoded Well As I Wish. Can Anyone Say What Is The Problem?

Encoding Details
Tools->AVS Script Creator-.>video input select->File indexture->Queue->extracting tracks-> creating FFMS Index->
Avisynth script crator->Filter->Analise->Save->AutoEncode->.mkv->Avarage bitrate 614->Queue->Preprocassing->Encoding Audio
Then stopped without any Error

Os Windows 7
Codec Klite Codec Pack With Simple Install
Avisynith 2.58
Encodeing Try 720P Resolution With Encoding Option X264 DXVA-HD Fast
AudioNero AAC 64 BIT
video Size 732 MB 23 MIN

Discussion

  • lotus

    lotus - 2012-07-05
     
  • Zathor

    Zathor - 2012-07-05

    The error is here:

    --[Information] [05-Jul-12 5:45:03 PM] Commandline: C:\Users\DAS\Desktop\ME\MeGUI_2153_x86\tools\eac3to\neroAacEnc.exe -ignorelength -lc -br 64000 -if - -of "C:\Users\DAS\Desktop\The.Avengers.Earths.Mightiest.Heroes.S02E10.Prisoner.of.War - [2] English.m4a"
    --[Information] [05-Jul-12 5:45:03 PM] Encoder process started
    -[Error] [05-Jul-12 5:45:34 PM] Exception message: FFAudioSource: ReadPacket unexpectedly failed to read a packet

    So the AAC files seems to be defective. You can try to change the audio profile to use DirectShowSource as the primary decoder (but that may fail also).

     
  • Zathor

    Zathor - 2012-07-05
    • status: open --> pending
     
  • lotus

    lotus - 2012-07-05

    if i use DirectShowSource as the primary decoder it realy fails to convert audio also.
    but problem is alson those .mkv video which i previously encode with megui. it only convert .avi & .mp4 source only. no mkv source is converted by it

     
  • lotus

    lotus - 2012-07-05
    • status: pending --> open
     
  • lotus

    lotus - 2012-07-05
     
  • lotus

    lotus - 2012-07-05
     
  • lotus

    lotus - 2012-07-05

    2nd log file is a video failed which i previously encoded successfully with megui

     
  • lotus

    lotus - 2012-07-05

    when i extract audio with mkvmarge and extracted audio by megui and replace it with manually mkvmarge audio, the the video is encode well. give 4th log file. see

     
  • lotus

    lotus - 2012-07-05
     
  • lotus

    lotus - 2012-07-05

    i extracted audio with mkvmerge manually with mkvtoolnix. & succeed every time i think problem is mkvmerge

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-07-06

    After te latest update to megui2153 I got the same message FFAudioSource:
    ReadPacket unexpectedly failed to read a packet. A way to go around this problem is to delete the tools/ffms/ffms2.dll and to replace this with the ffms2.dll.backup file of the earlier version.

     
  • Zathor

    Zathor - 2012-07-07
    • status: open --> pending
     
  • Zathor

    Zathor - 2012-07-07

    Please upload the source file or a part of it so that I can reproduce the problem. Also you can try the recent build of ffms2:
    http://forum.doom9.org/showpost.php?p=1580046&postcount=1579

     
  • lotus

    lotus - 2012-07-07

    the problem is solved when i replace tools/ffms data with older one. but dont know how long it worked

     
  • lotus

    lotus - 2012-07-07
    • assigned_to: nobody --> zathor
    • milestone: --> General
    • status: pending --> open
     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-07-27

    Also got the "ReadPacket unexpectedly failed to read a packet" error. Demuxing the MKV did not help. Switched back to the old tools/ffms/ffms2.dll and that fixed it.

     
  • Zathor

    Zathor - 2013-02-10

    Is the problem solved with the recent build?

     
  • Zathor

    Zathor - 2013-02-10
    • status: open --> pending
    • assigned_to: Zathor --> nobody
     
  • Zathor

    Zathor - 2013-12-30
    • labels: Interface (example) -->
    • status: pending --> closed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks